/*
 * disturb.cpp
 *
 *  Created on: Nov 20, 2023
 *      Author: Dario
 */

#include <tasks/disturb.hpp>
#include <sta/tacos/statemachine.hpp>
#include <sta/debug/debug.hpp>

namespace demo
{
	DisturbTask::DisturbTask()
		: sta::tacos::TacosThread("Disturb",  osPriorityNormal)
	{

	}

	void DisturbTask::init()
	{

	}

	void DisturbTask::func()
	{
		STA_DEBUG_PRINTLN(this->getName());

		sta::tacos::Statemachine::instance()->stateChangeEvent.wait(sta::tacos::EventFlags::ALL, osWaitForever);

		uint16_t currentState = sta::tacos::Statemachine::instance()->getCurrentState();
		sta::tacos::Statemachine::instance()->requestTimedStateTransition(currentState, 2, 4000, 0);
	}
}  // namespace demo

